
%global pkg_name persistent-template
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        2.12.0.0
Release:    1%{?dist}
Summary:        Type-safe, non-relational, multi-backend persistence

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
%endif

%description
The library has been merged into the persistent package.


%package devel
Summary:        Haskell %{pkg_name} library development files
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif


%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build_without_haddock


%install
%ghc_lib_install -m
mv %{buildroot}%{_ghcdocdir}{,-devel}


%files devel -f %{name}-devel.files
%license LICENSE
%doc ChangeLog.md README.md


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.12.0.0-1
- initial build
